      Module numerics
! ---------------------------------------------------------------------
      Integer, Parameter  ::  sp = kind(1.0  )     
      Integer, Parameter  ::  dp = kind(1.0D0)
!
      Integer, Parameter  ::  rp = dp
!
      Integer             ::  nbproc
      Integer             ::  myrank
      Integer             ::  ierr = 0
      Integer             ::  ITYPE_REAL
!
      Integer             ::  iold = 0
      Integer             ::  inew = 1
!
      Integer             ::  sx,  sy,  sz
      Integer             ::  ex,  ey,  ez
      Integer             ::  ntx, nty, ntz
!
      Real(rp)            ::  hx,  hy,  hz
!
      Real(rp), Parameter ::  zero = 0.0_rp
      Real(rp), Parameter ::  one  = 1.0_rp
! ---------------------------------------------------------------------
      End Module numerics

